Method: artifacts.get

Full name: projects.locations.metadataStores.artifacts.get

Retrieves a specific Artifact.

Endpoint

get https://{service-endpoint}/v1/{name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The resource name of the Artifact to retrieve. Format: projects/{project}/locations/{location}/metadataStores/{metadatastore}/artifacts/{artifact}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Artifact.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.artifacts.get

For more information, see the IAM documentation.